Update Currency - m3ter Documentation
Update Currency
cURL
curl --request PUT \
--url https://api.m3ter.com/organizations/{orgId}/picklists/currency/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '\n{\n "name": "<string>",\n "version": 123,\n "code": "code",\n "archived": true,\n "maxDecimalPlaces": 2\n}\n'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/picklists/currency/{id}"
payload = {
"name": "<string>",
"version": 123,
"code": "code",
"archived": True,
"maxDecimalPlaces": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
version: 123,
code: 'code',
archived: true,
maxDecimalPlaces: 2
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/picklists/currency/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
{
"id": "<string>",
"version": 123,
"code": "<string>",
"name": "<string>",
"archived": true,
"maxDecimalPlaces": 123,
"dtCreated": "2023-11-07T05:31:56Z",
"dtLastModified": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedBy": "<string>"
}
{
"message": "<string>"
}
Authorization
- Authorization: required String in header
Path Parameters
- orgId: required string, unique identifier of your Organization.
- id: required string, unique identifier of the Currency to update.
Body
- name: required string, entity name, 1 - 200 characters.
- version: integer, version number, must match existing version for updates.
- code: string, maximum length 80, pattern:
^[\p{L}_$][\p{L}_$0-9]*$.
- archived: boolean, whether the entity is archived.
- maxDecimalPlaces: integer, 0 to 5.
- roundingMode: enum, options include
UP, DOWN, CEILING, FLOOR, HALF_UP, HALF_DOWN, HALF_EVEN, UNNECESSARY.
Response Fields
- id: string, required UUID of the entity.
- version: integer, version number.
- code: string, short code.
- name: string, name of the data entity.
- archived: boolean, archived state.
- maxDecimalPlaces: integer, maximum decimal places.
- dtCreated: string, creation timestamp in ISO-8601 format.
- dtLastModified: string, last modified timestamp in ISO-8601 format.
- createdBy: string, UUID of the creator.
- lastModifiedBy: string, UUID of the last modifier.